if (_unit isKindof "Man") then {
	_unit setVariable["role",_type];
	removeAllWeapons _unit;
	removeBackpack _unit;
	_unit removeweapon "ItemGPS";
	if (_Radioit) then {_unit linkItem "tf_microdagr"} else {_unit removeweapon "itemradio"};
	if (_Nightvision) then {_unit addweapon _item_NV} else {_unit addweapon "ACE_NVG_Gen4"; _unit removeweapon "ACE_NVG_Gen4"};
};

if !(isDedicated) then
{
	//_unit disableAI "all";
};

if (_unit isKindof "LandVehicle" || _unit isKindof "Air" || _unit isKindOf "Ship" || _unit isKindOf "Static" || _unit isKindOf "thing") then {
	clearWeaponCargoglobal _unit;
	clearItemCargoGlobal _unit;
	clearMagazineCargoglobal _unit;
	clearBackpackCargoglobal _unit;
	_unit disableTIEquipment true;
	_unit setVariable ["tf_side", _OrbatinSide, true];
	_unit setVariable ["AFI_vehicle_gear", _OrbatinSide, true];
	_unit setVehicleLock "UNLOCKED";
};


_fnc_BUMaddweapons = {

	//Adds weapons from list
	//Params [unit,[ListOfWeapons] call _fnc_BUMaddweapons;

	params ["_unit","_weapons"];
	{_unit addweapon _x;} Foreach _weapons;
};


_fnc_TUNaddmagazines = {
	//Adds list of magazines and items
	//Params [_unit,[[MagazineClassname,count],[MagazineClassname,count],...]] call _fnc_TUNaddmagazines;

	params ["_unit","_elements"];

	private ["_haveGL","_primaryAmmo","_secondaryAmmo","_handgunAmmo","_glAmmo"];
	_haveGL = false;
	_glAmmo = [];
	_primaryAmmo = getArray (configFile >> "CfgWeapons" >> (primaryWeapon _unit) >> "magazines");
	_secondaryAmmo = getArray (configFile >> "CfgWeapons" >> (secondaryWeapon _unit) >> "magazines");
	_handgunAmmo = getArray (configFile >> "CfgWeapons" >> (handgunWeapon _unit) >> "magazines");

	{
		if ("UGL_F" in ([(configFile >> "CfgWeapons" >> (primaryWeapon _unit) >> _x),true] call BIS_fnc_returnParents)) then {
			_glAmmo = getArray (configFile >> "CfgWeapons" >> (primaryWeapon _unit) >> _x >> "magazines");
			_haveGL = true;
		};
		if (_haveGL) exitWith {};
	} forEach getArray (configFile >> "CfgWeapons" >> (primaryWeapon _unit) >> "muzzles");

	{
		private ["_item", "_count"];
		_item = _x select 0;
		_count = _x select 1;

		if (isClass (configFile >> "CFGMagazines" >> _item)) then {
			if (_item in (_primaryAmmo + _glAmmo) && _count > 0) then  { //Jos on primary weapon
				if (_item in _glAmmo && _haveGL && ({_x in _glAmmo} count (primaryWeaponMagazine _unit) == 0)) then {
					_unit addPrimaryWeaponItem _item;
					_count = _count - 1;
				} else {
					if ({_x in _primaryAmmo} count (primaryWeaponMagazine _unit) == 0) then {
						_unit addPrimaryWeaponItem _item;
						_count = _count - 1;
					};
				};

			} else {

				if (_item in _secondaryAmmo && _count > 0 && count secondaryWeaponMagazine _unit == 0) then  { //jos on secondary
					 _unit addSecondaryWeaponItem _item;
					 _count = _count - 1;
				} else {
					if (_item in _handgunAmmo && _count > 0 && count handgunMagazine _unit == 0) then { //jos on handgun
						_unit addHandgunItem _item;
						_count = _count - 1;
					};
				};
			};
			_unit addmagazines [_item,_count];

		} else {

			_unit addItemCargo [_item,_count];
			for "_i" from 1 to _count do {_unit addItem _item;};
		};
	} Foreach _elements;
};

_fnc_BUMCheckAddBackpack = {

	//Run before adding rockets, adds an Backpack if Unit does not have one already
	//Params [unit,"BackpackClassName"] call _fnc_BUMCheckAddBackpack;

	params ["_unit","_PackToAdd"];

	If (Backpack _unit == "") then {_unit addbackpack _PackToAdd};

};



fnc_TUNaddWeaponItem = {  //aseiden tähtäimet jne.

	params ["_unit", "_items"];
	{
		switch toLower (_x select 1) do {
			case toLower "primary": {
				if !(primaryWeapon _unit == "") then {
					_unit addPrimaryWeaponItem (_x select 0);
				};
			};

			case toLower "secondary": {
				if !(secondaryWeapon _unit == "") then {
					_unit addSecondaryWeaponItem (_x select 0);
				};
			};

			default {
				if !(handgunWeapon _unit == "") then {
					_unit addHandgunItem (_x select 0);
				};
			};
		};
	} forEach _items;
};
